<template>
  <v-row align="center" justify="center" class="slideup-everywher text-center">
    <v-col cols="12" class="mt-12 pb-12 text-center global-box-view">
      <h2>{{ dataGiven.title }}</h2>
      <p class="pt-8">{{ dataGiven.description }}</p>
    </v-col>
    <v-col
      v-for="(item, i) in dataGiven.items"
      :key="item.title"
      v-scrollAnime
      cols="12"
      md="4"
    >
      <v-card
        class="mx-auto text-center pa-6"
        :color="colors1[i]"
        dark
        :height="$vuetify.breakpoint.mdAndDown ? '350px' : '280px'"
      >
        <h3 class="headline">{{ item.title }}</h3>

        <v-card-subtitle>
          <v-chip
            v-for="(listItem, j) in item.list"
            :key="j"
            pill
            class="ma-2"
            :color="colors[j]"
            >{{ listItem }}</v-chip
          >
        </v-card-subtitle>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
export default {
  name: 'DbaHow',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {
      colors1: ['#24556f', '#425d6a'],
      colors: ['deep-purple accent-4', 'green', 'teal lighten-2', 'orange', 'pink'],
    };
  },
};
</script>
